7 Replies Latest reply: May 2, 2014 2:10 PM by TexasApexDeveloper RSS

    Version interoperability?

    AndyH

      Can anyone point me to any references that state which patch releases are compatible with one another?

       

      I know that if I develop on a lower version that I can install that on a later one e.g. I can develop in 4.1.1 and install onto 4.2.4

       

      But what about developing in 4.2.5 - can I install that onto 4.2.4, 4.2.x, 4.1.x?

       

      Thanks,

      --
      Andy

        • 1. Re: Version interoperability?
          TexasApexDeveloper

          Normally you can can run apps from 4.2.5 in 4.2.4 and such, when you go between MAJOR versions is when there is a problem... Upwards is okay, but going downwards is the issue with the changes that are made in the metadata setup for APEX..

           

          Thank you,

           

          Tony Miller
          LuvMuffin Software
          Ruckersville, VA

          • 2. Re: Version interoperability?
            AndyH

            Normally you can can run apps from 4.2.5 in 4.2.4 and such, when you go between MAJOR versions is when there is a problem... Upwards is okay, but going downwards is the issue with the changes that are made in the metadata setup for APEX..

             

            So... would you expect to be able to go from any 4.x to any other 4.x as they are all the same MAJOR version e.g. develop in 4.2.5 and release into 4.1.1 ?

             

            I'm assuming that you/APEX are using Major.Minor.Patch in it's naming policy?

             

            That would simplify matters for me!

            --

            Andy

            • 3. Re: Version interoperability?
              TexasApexDeveloper

              I would look at moving downward from 4.2 to 4.1, however if you are going 4.2.x to 4.2.x-1 should be no problem....

               

              Your mileage may vary...

               

              Claiming that your operating system is the best in the world because more people use it is like saying McDonald's makes the best food in the world.

               

              Thank you,

               

              Tony Miller
              LuvMuffin Software
              Ruckersville, VA

              • 4. Re: Version interoperability?
                GhanaApexDeveloper

                Hi,

                Normally to every single patch release there is an amount of information pertaining to the exactly versions that are interoperable.

                to say check the Path Overview especially.

                Ex

                "The Oracle Application Express 4.2.1.00.08 patch set can be applied to Oracle Application Express release 4.2. Apply the patch to the "

                Look up : Oracle Application Express 4.2.1 Patch Set Notes

                Thanks

                Benjamin.

                • 5. Re: Version interoperability?
                  TexasApexDeveloper

                  Benjamin,

                    DID You even READ the question?? It has NOTHING TO DO WITH PATCH SETS???  What they were asking is if they migrate apps between VERSIONS of APEX.. SHEShhh....

                   

                  Elephants wear too-tus so they can hide in pine trees. Did you ever see an elephant in a pine tree? No? Well then, you know it works.

                   

                  Thank you,

                   

                  Tony Miller
                  LuvMuffin Software
                  Ruckersville, VA

                  • 6. Re: Version interoperability?
                    GhanaApexDeveloper

                    Hi Tony,

                    I completely understood the question at play here, all i was pointing out with this kinda of example to patch release set is that even the patch set tells us only little about which version it considers for installation.Migration between realeases is a comprehensible as u rightly said,  The long and short of this is that this statement by Andy has to be looked at critically.

                    Thank you.

                    Benjamin

                    • 7. Re: Version interoperability?
                      TexasApexDeveloper

                      Again, your comment is a straw man style argument: Straw man - Wikipedia, the free encyclopedia

                       

                      The poster WAS asking about code between versions, you TRIED offering a view on Patch sets and version...

                       

                      Thank you,

                       

                      Tony Miller
                      LuvMuffin Software
                      Ruckersville, VA